// DlgDateItem.cpp : implementation file
//

#include "stdafx.h"
#include "CalCtrl.h"
#include "DlgDateItem.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgDateItem dialog


CDlgDateItem::CDlgDateItem(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgDateItem::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgDateItem)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

	bAddMode = FALSE;
	strSubject = "";
	dtEDate = dtSDate = COleDateTime::GetCurrentTime();
	nApptTask = 0;	// Default to appointment
}


void CDlgDateItem::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgDateItem)
	DDX_Control(pDX, IDC_SUBJECT, m_Subject);
	DDX_Control(pDX, IDC_TOTIME, m_ToTime);
	DDX_Control(pDX, IDC_RDTASK, m_rdTask);
	DDX_Control(pDX, IDC_RDAPPT, m_rdAppt);
	DDX_Control(pDX, IDC_FROMTIME, m_FromTime);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgDateItem, CDialog)
	//{{AFX_MSG_MAP(CDlgDateItem)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgDateItem message handlers

BOOL CDlgDateItem::OnInitDialog() 
{
	CDialog::OnInitDialog();

	CString strBuf;

	if (bAddMode)
		strBuf.Format("Add Date Item - %s", dtSDate.Format("%m/%d/%Y"));
	else
		strBuf.Format("Modify Date Item - %s", dtSDate.Format("%m/%d/%Y"));
	SetWindowText(strBuf);
	m_Subject.SetWindowText(strSubject);
	m_FromTime.SetTime(dtSDate);
	m_ToTime.SetTime(dtEDate);

	if (nApptTask == 0)
	{
		m_rdAppt.SetCheck(TRUE);
		m_rdTask.SetCheck(FALSE);
	}
	else
	{
		m_rdAppt.SetCheck(FALSE);
		m_rdTask.SetCheck(TRUE);
	}


	return TRUE;
}

void CDlgDateItem::SetAddMode(BOOL bMode)
{
	bAddMode = bMode;
}

void CDlgDateItem::OnOK() 
{
	m_Subject.GetWindowText(strSubject);
	m_FromTime.GetTime(dtSDate);
	m_ToTime.GetTime(dtEDate);

	if (m_rdAppt.GetCheck() == TRUE)
		nApptTask = 0;
	else
		nApptTask = 1;

	CDialog::OnOK();
}

CString CDlgDateItem::GetSubject()
{
	return strSubject;
}

COleDateTime CDlgDateItem::GetFromTime()
{
	return dtSDate;
}

COleDateTime CDlgDateItem::GetToTime()
{
	return dtEDate;
}

void CDlgDateItem::SetSubject(CString strItem)
{
	strSubject = strItem;
}

void CDlgDateItem::SetFromTime(COleDateTime dtDate)
{
	dtSDate = dtDate;
}

void CDlgDateItem::SetToTime(COleDateTime dtDate)
{
	dtEDate = dtDate;
}

void CDlgDateItem::SetApptTask(int nType)
{
	nApptTask = nType;
}

int CDlgDateItem::GetApptTask()
{
	return nApptTask;
}
